Bug 1020413 - lvconvert validation is missing when same LV name is used for thinpool and originname
lvconvert validation is missing when same LV name is used for thinpool and or...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1045625 1133079 1153306
  Show dependency treegraph
 
Reported: 2013-10-17 11:43 EDT by Zdenek Kabelac
Modified: 2014-10-15 14:11 EDT (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.106-1.fc21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1045625 1133079 (view as bug list)
Environment:
Last Closed: 2014-04-11 12:01:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-10-17 11:43:26 EDT
Description of problem:

Conversion command to convert LV into a thin LV and making the given LV to be an  external origin for this LV is missing validation:

lvconvert --thinpool mvg/lvol1  --originname ext  -T mvg/lvol1

Command aborts too late, when some part of conversion already changed lvm2 metadata and change the table line.

  Logical volume "lvol1_tmeta" created
  Converted mvg/lvol1 to thin pool.
  Logical volume "ext" created
  Cannot rename internal LV "lvol1_tdata".
  Internal error: Referenced LV lvol1_tdata not listed in VG mvg.

As a consequence if the user wanted to convert lvol1 just to some real pool - he now already lost lvol1 (and has to use immediately deactive pool and vgcfgrestore lvm2 metadata).


Version-Release number of selected component (if applicable):
2.02.102

How reproducible:


Steps to Reproduce:
1. lvcreate -L10 -n lvol1
2. lvconvert --thinpool mvg/lvol1  --originname ext  -T mvg/lvol1
3.

Actual results:


Expected results:
Report incorrect parameters being passed in.

Additional info:
Comment 1 Zdenek Kabelac 2014-01-28 07:27:29 EST
Upstream commit adds more validation to lvconvert to cover this case:

https://www.redhat.com/archives/lvm-devel/2014-January/msg00064.html

Note You need to log in before you can comment on or make changes to this bug.